cutlass::library::GemmConfiguration Struct Reference

Configuration for basic GEMM operations.

`#include <library.h>`

Collaboration diagram for cutlass::library::GemmConfiguration:
[legend]

## Public Attributes

gemm::GemmCoord | problem_size
| GEMM problem size. More...
int64_t | lda
| Leading dimension of A matrix. More...
int64_t | ldb
| Leading dimension of B matrix. More...
int64_t | ldc
| Leading dimension of C matrix. More...
int64_t | ldd
| Leading dimension of D matrix. More...
int | split_k_slices
| Number of partitions of K dimension. More...

## Member Data Documentation

int64_t cutlass::library::GemmConfiguration::lda

int64_t cutlass::library::GemmConfiguration::ldb

int64_t cutlass::library::GemmConfiguration::ldc

int64_t cutlass::library::GemmConfiguration::ldd

gemm::GemmCoord cutlass::library::GemmConfiguration::problem_size

int cutlass::library::GemmConfiguration::split_k_slices

The documentation for this struct was generated from the following file:

- library.h